View as Markdown
API Spec (JSON)
API Spec (YAML)
Compact modeHides field descriptions and other prose for a more compact, scannable view of the API reference.Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/vault/payment-tokens/readwriteapplication/json
Payment Token creation with a financial instrument and an optional customer_id.
TypeScript Definitions
Use the request body type in TypeScript.
customerobject<customer>Optionalidstring<merchant_partner_customer_id>Optionalpayment_sourceobject<definitions-payment_source>Requiredexpirystring<date_year_month>Optionalbrandenum<card_brand>Optionalbilling_addressobject<Portable Postal Address (Medium-Grained)>Optionaladmin_area_1stringOptionalcountry_codestring<country_code>RequiredNote: The country code for Great Britain isGBand notUKas used in the top-level domain names for that country. Use the `C2` country code for China worldwide for comparable uncontrolled price (CUP) method, bank card, and cross-border transactions.
network_transaction_referencenetwork_transaction_reference_requestOptionaltokenobject<token_id_request>Optionalapplication/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v3/vault/payment-tokens" \ -H "Content-Type: application/json" \ -d '{ "payment_source": {} }'{ "id": "string", "customer": { "id": "string", "merchant_customer_id": "string" }, "payment_source": { "card": { "name": "string", "last_digits": "stri", "brand": "VISA", "expiry": "strings", "billing_address": { "address_line_1": "string", "address_line_2": "string", "admin_area_2": "string", "admin_area_1": "string", "postal_code": "string", "country_code": "st", "id": "string" }, "verification_status": "VERIFIED", "verification": { "network_transaction_id": "string", "date": "stri", "network": "VISA", "time": "stringstringstringst", "amount": { "currency_code": "str", "value": "string" }, "processor_response": { "avs_code": "A", "cvv_code": "E" }, "three_d_secure": null }, "network_transaction_reference": { "id": "stringstr", "date": "stri", "network": "VISA", "acquirer_reference_number": "string", "time": "stringstringstringst" }, "authentication_result": { "three_d_secure": { "authentication_status": "Y", "enrollment_status": "Y", "authentication_id": "string" } }, "bin_details": { "bin": "string", "issuing_bank": "string", "bin_country_code": "st", "products": [ "string" ] }, "type": "CREDIT", "network_token": null }, "paypal": { "description": "string", "usage_pattern": "IMMEDIATE", "shipping": { "name": { "full_name": "string" }, "email_address": "string", "phone_number": { "country_code": "str", "national_number": "string" }, "type": "SHIPPING", "address": { "address_line_1": "string", "address_line_2": "string", "admin_area_2": "string", "admin_area_1": "string", "postal_code": "string", "country_code": "st" } }, "permit_multiple_payment_tokens": false, "usage_type": "MERCHANT", "customer_type": "CONSUMER", "email_address": "string", "payer_id": "stringstrings", "name": { "given_name": "string", "surname": "string" }, "phone": { "phone_type": "FAX", "phone_number": { "national_number": "string" } }, "address": { "address_line_1": "string", "address_line_2": "string", "admin_area_2": "string", "admin_area_1": "string", "postal_code": "string", "country_code": "st" }, "account_id": "stringstrings", "phone_number": { "country_code": "str", "national_number": "string", "extension_number": "string" } }, "venmo": { "description": "string", "usage_pattern": "IMMEDIATE", "shipping": { "name": { "full_name": "string" }, "email_address": "string", "phone_number": { "country_code": "str", "national_number": "string" }, "type": "SHIPPING", "address": { "address_line_1": "string", "address_line_2": "string", "admin_area_2": "string", "admin_area_1": "string", "postal_code": "string", "country_code": "st" } }, "permit_multiple_payment_tokens": false, "usage_type": "MERCHANT", "customer_type": "CONSUMER", "email_address": "string", "payer_id": "stringstrings", "name": { "given_name": "string", "surname": "string" }, "phone": { "phone_type": "FAX", "phone_number": { "national_number": "string" } }, "address": { "address_line_1": "string", "address_line_2": "string", "admin_area_2": "string", "admin_area_1": "string", "postal_code": "string", "country_code": "st" }, "user_name": "string" }, "apple_pay": { "card": { "name": "string", "last_digits": "stri", "type": "CREDIT", "brand": "VISA", "billing_address": { "address_line_1": "string", "address_line_2": "string", "admin_area_2": "string", "admin_area_1": "string", "postal_code": "string", "country_code": "st" } } } }, "links": [ { "href": "string", "rel": "string", "method": "GET" } ]}